name: Site support request
description: Request support for a new site
labels: [triage, site-request]
body:
  - type: checkboxes
    id: checklist
    attributes:
      label: Checklist
      description: |
        Carefully read and work through this check list in order to prevent the most common mistakes and misuse of yt-dlp:
      options:
        - label: I'm reporting a new site support request
          required: true
        - label: I've verified that I'm running yt-dlp version **2021.12.01**. ([update instructions](https://github.com/yt-dlp/yt-dlp#update))
          required: true
        - label: I've checked that all provided URLs are alive and playable in a browser
          required: true
        - label: I've checked that none of provided URLs [violate any copyrights](https://github.com/ytdl-org/youtube-dl#can-you-add-support-for-this-anime-video-site-or-site-which-shows-current-movies-for-free) or contain any [DRM](https://en.wikipedia.org/wiki/Digital_rights_management) to the best of my knowledge
          required: true
        - label: I've searched the [bugtracker](https://github.com/yt-dlp/yt-dlp/issues?q=) for similar issues including closed ones. DO NOT post duplicates
          required: true
        - label: I've read the [guidelines for opening an issue](https://github.com/yt-dlp/yt-dlp/blob/master/CONTRIBUTING.md#opening-an-issue)
          required: true
        - label: I've read about [sharing account credentials](https://github.com/yt-dlp/yt-dlp/blob/master/CONTRIBUTING.md#are-you-willing-to-share-account-details-if-needed) and am willing to share it if required
  - type: input
    id: region
    attributes:
      label: Region
      description: "Enter the region the site is accessible from"
      placeholder: "India"
  - type: textarea
    id: example-urls
    attributes:
      label: Example URLs
      description: |
        Provide all kinds of example URLs for which support should be added
      placeholder: |
        - Single video: https://www.youtube.com/watch?v=BaW_jenozKc
        - Single video: https://youtu.be/BaW_jenozKc
        - Playlist: https://www.youtube.com/playlist?list=PL4lCao7KL_QFVb7Iudeipvc2BCavECqzc
    validations:
      required: true
  - type: textarea
    id: description
    attributes:
      label: Description
      description: |
        Provide any additional information
      placeholder: WRITE DESCRIPTION HERE
    validations:
      required: true
  - type: textarea
    id: log
    attributes:
      label: Verbose log
      description: |
        Provide the complete verbose output **using one of the example URLs provided above**.
        Add the `-Uv` flag to your command line you run yt-dlp with (`yt-dlp -Uv <your command line>`), copy the WHOLE output and insert it below.
        It should look similar to this:
      placeholder: |
        [debug] Command-line config: ['-Uv', 'http://www.youtube.com/watch?v=BaW_jenozKc']
        [debug] Portable config file: yt-dlp.conf
        [debug] Portable config: ['-i']
        [debug] Encodings: locale cp1252, fs utf-8, stdout utf-8, stderr utf-8, pref cp1252
        [debug] yt-dlp version 2021.12.01 (exe)
        [debug] Python version 3.8.8 (CPython 64bit) - Windows-10-10.0.19041-SP0
        [debug] exe versions: ffmpeg 3.0.1, ffprobe 3.0.1
        [debug] Optional libraries: Cryptodome, keyring, mutagen, sqlite, websockets
        [debug] Proxy map: {}
        yt-dlp is up to date (2021.12.01)
        <more lines>
      render: shell
    validations:
      required: true
